import Checkbox from 'primevue/checkbox';
const __VLS_props = defineProps();
const __VLS_emit = defineEmits();
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
let __VLS_0;
/** @ts-ignore @type { | typeof __VLS_components.Checkbox} */
Checkbox;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onUpdate:modelValue': {} },
    ...{ class: "ks-checkbox" },
    inputId: (__VLS_ctx.inputId),
    modelValue: (__VLS_ctx.modelValue),
    binary: true,
    disabled: (__VLS_ctx.disabled),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onUpdate:modelValue': {} },
    ...{ class: "ks-checkbox" },
    inputId: (__VLS_ctx.inputId),
    modelValue: (__VLS_ctx.modelValue),
    binary: true,
    disabled: (__VLS_ctx.disabled),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.'update:modelValue'} */
    'onUpdate:modelValue': (...[$event]) => {
        return (__VLS_ctx.$emit('update:modelValue', Boolean($event)));
        // @ts-ignore
        [inputId, modelValue, disabled, $emit,];
    },
};
var __VLS_7;
/** @type {__VLS_StyleScopedClasses['ks-checkbox']} */ ;
var __VLS_3;
var __VLS_4;
// @ts-ignore
[];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
});
export default {};
